### Class

# FwupdPlugin SecurityAttr

since: 1.0

#### Description

    class FwupdPlugin.SecurityAttr : Fwupd.SecurityAttr
    {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Hierarchy

#### Ancestors

- FwupdSecurityAttr
- GObject

#### Constructors

###### fu_security_attr_new

Creates a new `FwupdSecurityAttr` with context set.

since: 1.8.4

#### Functions

###### fu_security_attr_add_bios_target_value

Checks all configured possible values of an enumeration attribute and if any match `needle` then set as the target value.

since: 1.8.4

#### Instance methods

##### Methods inherited from FwupdSecurityAttr (51)

Please see FwupdSecurityAttr for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct FwupdPluginSecurityAttrClass {
      FwupdSecurityAttrClass parent_class;

    }

No description available.

###### Class members

`parent_class: FwupdSecurityAttrClass`
  No description available.